<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="globalForm">
        <h1>
            <h:outputText
                    value="#{messages['gazelle.ordermanager.DataBrowseractor']} #{dataBrowserSwitcher.domainKeyword} / #{dataBrowserSwitcher.actorKeyword})"/>
        </h1>
        <gri:panel pid="switcher" bodyClass="bg-info">
            <div class="row">
                <div class="col-lg-4 form-horizontal">
                    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="dom"/>
                        <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                        <h:selectOneMenu styleClass="form-control gzl-select-text"
                                         id="dom" value="#{dataBrowserSwitcher.domainKeyword}">
                            <f:selectItems value="#{dataBrowserSwitcher.getAvailableDomains()}"/>
                            <a4j:ajax event="change" render="switcher"/>
                        </h:selectOneMenu>
                    </ui:decorate>
                </div>
                <div class="col-lg-4 form-horizontal">
                    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="act"/>
                        <ui:define name="label">#{messages['gazelle.HL7Common.simulatedActor']}</ui:define>
                        <h:selectOneMenu styleClass="form-control gzl-select-text"
                                         id="act" value="#{dataBrowserSwitcher.actorKeyword}">
                            <f:selectItems value="#{dataBrowserSwitcher.getAvailableActors()}"/>
                            <a4j:ajax event="change" render="switcher"/>
                        </h:selectOneMenu>
                    </ui:decorate>
                </div>
                <div class="col-lg-4">
                    <a4j:commandLink action="#{dataBrowserSwitcher.redirect()}"
                                     execute="@this" styleClass="gzl-btn-green">
                        <h:outputText value="#{messages['gazelle.ordermanager.Switch']}"/>
                    </a4j:commandLink>
                </div>
            </div>
        </gri:panel>
        <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
        <script>
            updateUrl("globalForm:filterUrlParameters");
            jq162("#globalForm\\:filterUrlParameters").bind('change',
                    function () {
                        updateUrl("globalForm:filterUrlParameters");
                    });

        </script>
        <div class="btn-toolbar" role="toolbar" aria-label="browserToolBar">
            <div class="btn-group" role="group" aria-label="buttons">
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('PATIENT')}"
                                 execute="@this"
                                 styleClass="#{dataBrowserSwitcher.getStyleClass('PATIENT')}">
                    <s:span styleClass="fa gzl-icon-users"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Patients']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('ORDER')}"
                                 rendered="#{(managedBean.domain.keyword.equals('RAD') or managedBean.domain.keyword.equals('EYE')) and not managedBean.actor.keyword.equals('IM')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('ORDER')}">
                    <span class="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Orders_3']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('APPOINTMENT')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('APPOINTMENT')}"
                                 rendered="#{(managedBean.domain.keyword.equals('RAD') or managedBean.domain.keyword.equals('EYE')) and not managedBean.actor.keyword.equals('IM')}">
                    <span class="gzl-icon-calendar"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Appointments']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('LABORDER')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('LABORDER')}"
                                 rendered="#{managedBean.domain.keyword.equals('LAB') and (managedBean.actor.keyword.equals('OF') or managedBean.actor.keyword.equals('OP') or managedBean.actor.keyword.equals('ORT'))}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Ordersbatterycentric_2']})"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('SPECIMEN')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('SPECIMEN')}"
                                 rendered="#{managedBean.domain.keyword.equals('LAB') and (managedBean.actor.keyword.equals('OF') or managedBean.actor.keyword.equals('OP') or managedBean.actor.keyword.equals('ORT'))}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Ordersspecimencentric_2']})"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('SPECIMEN')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('SPECIMEN')}"
                                 rendered="#{managedBean.actor.keyword.equals('LB') or managedBean.actor.keyword.equals('LIP')}">
                    <s:span styleClass="fa fa-tag gzl-text-blue"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Labels']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('WORKORDER')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('WORKORDER')}"
                                 rendered="#{managedBean.domain.keyword.equals('LAB') and (managedBean.actor.keyword.equals('OF') or managedBean.actor.keyword.equals('AM'))}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.WorkOrdersbatterycentric_2']})"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('WORKSPECIMEN')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('WORKSPECIMEN')}"
                                 rendered="#{managedBean.domain.keyword.equals('LAB') and (managedBean.actor.keyword.equals('OF') or managedBean.actor.keyword.equals('AM'))}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.WorkOrdersspecimencentric_2']})"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('AWOS')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('AWOS')}"
                                 rendered="#{managedBean.domain.keyword.equals('LAB') and (managedBean.actor.keyword.equals('ANALYZER') or managedBean.actor.keyword.equals('ANALYZER_MGR'))}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.AnalyticalWorkOrderSteps']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('PROCEDURE')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('PROCEDURE')}"
                                 rendered="#{not managedBean.actor.keyword.equals('OP') and (managedBean.domain.keyword.equals('RAD') or managedBean.domain.keyword.equals('EYE'))}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.RequestedProcedures']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('WORKLIST')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('WORKLIST')}"
                                 rendered="#{managedBean.actor.keyword.equals('OF') and (managedBean.domain.keyword.equals('RAD') or managedBean.domain.keyword.equals('EYE'))}">
                    <span class="gzl-icon-th-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.Worklists']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{dataBrowserSwitcher.goTo('TRO')}"
                                 execute="@this" styleClass="#{dataBrowserSwitcher.getStyleClass('TRO')}"
                                 rendered="#{managedBean.domain.keyword.equals('SeHE')}">
                    <s:span styleClass="gzl-icon-list"/>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.TeleRadiologyOrders']}"/>
                </a4j:commandLink>
            </div>
        </div>
        <br/>
        <s:div id="criteriaDiv" styleClass="form-horizontal">
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{managedBean.filter.urlParameters}"/>
            <s:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                     render="globalForm">
                        <span class="gzl-icon-refresh"/>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                     actionListener="#{managedBean.reset()}"
                                     render="globalForm">
                        <span class="gzl-icon-times-circle"/>
                    </a4j:commandLink>
                </ui:define>
                <s:div styleClass="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="creator"/>
                            <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Creator']}"/>
                            <ui:param name="filterForm" value="criteriaDiv"/>
                        </ui:include>
                    </div>
                </s:div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="lastChanged"/>
                            <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Date']}"/>
                            <ui:param name="filterForm" value="criteriaDiv"/>
                        </ui:include>
                    </div>
                </div>
                <ui:insert name="additionalFilters"/>
            </s:decorate>
            #{dataTableStateHolder.setDescendingOn('lastChanged')}
            #{dataTableStateHolder.setDescendingOn('creationDate')}
            <rich:dataTable value="#{managedBean.dataModel}" var="o" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                            render="ds" id="resultsTable">
                <ui:insert name="columns"/>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="resultsTable"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
        </s:div>
    </h:form>
</ui:composition>
